/*
 * PGA450_MP_Setup.h
 *
 *  Created on: Oct 2, 2012
 *      Author: a0135618
 */

#ifndef PGA450_MP_SETUP_H_
#define PGA450_MP_SETUP_H_


/*** PGA450 Mass Programmer Setup ***/
#define PGA450_DEV_MAX                  5  // Number of ICs to be programmed, Maximum 5

#define PGA450_DEBUG                    0  // Debug mode, write to DEVRAM instead of OTP
#define PGA450_EE_PROG_EN               1  // EEPROM programming enable flag

#define PGA450_POWER_ON_DLY             period(500)  // Delay time after switch on the supply to PGA450 before power on the VOTP
#define PGA450_VOTP_ON_DLY              period(500)  // Delay time after switch on the supply to VOTP
#define PGA450_VOTP_OFF_DLY             period(1000) // Delay time after switch off the supply to VOTP and before power off the PGA450

#define PGA450_CMD_RETRY_TIME           3
#define PGA450_RESET_RETRY_TIME         3
#define PGA450_BLANK_CHK_RETRY_TIME     3
#define PGA450_OTP_PROG_RETRY_TIME      3
#define PGA450_OTP_VERIFY_RETRY_TIME    3
#define PGA450_EE_PROG_RETRY_TIME       3
#define PGA450_EE_VERIFY_RETRY_TIME     3
/******/


#endif /* PGA450_MP_SETUP_H_ */
